class HomePlaceModel {
  String? id;
  String? name;
  int? proId;
  int? placeId;
  String? description;
  String? currency;
  int? minimumDaysRequired;
  int? minimumHoursRequired;
  int? numberOfBeds;
  int? numberOfRooms;
  double? priceByHours;
  double? priceByNight;
  double? priceByWeek;
  double? priceByMonth;
  String? phone;
  String? label;
  int? lat;
  int? lng;
  String? countryCode;
  String? utcModifier;
  String? street1;
  String? street2;
  String? state;
  String? city;
  String? country;
  String? zip;
  String? informations;
  String? pictureUrl;

  HomePlaceModel(
      {this.id,
      this.name,
      this.proId,
      this.placeId,
      this.description,
      this.currency,
      this.minimumDaysRequired,
      this.minimumHoursRequired,
      this.numberOfBeds,
      this.numberOfRooms,
      this.priceByHours,
      this.priceByNight,
      this.priceByWeek,
      this.priceByMonth,
      this.phone,
      this.label,
      this.lat,
      this.lng,
      this.countryCode,
      this.utcModifier,
      this.street1,
      this.street2,
      this.state,
      this.city,
      this.country,
      this.zip,
      this.informations,
      this.pictureUrl});

  HomePlaceModel.fromJson(Map<String, dynamic> json) {
    if (json["id"] is String) this.id = json["id"];
    if (json["name"] is String) this.name = json["name"];
    if (json["proId"] is int) this.proId = json["proId"];
    if (json["placeId"] is int) this.placeId = json["placeId"];
    if (json["description"] is String) this.description = json["description"];
    if (json["currency"] is String) this.currency = json["currency"];
    if (json["minimumDaysRequired"] is int) this.minimumDaysRequired = json["minimumDaysRequired"];
    if (json["minimumHoursRequired"] is int)
      this.minimumHoursRequired = json["minimumHoursRequired"];
    if (json["numberOfBeds"] is int) this.numberOfBeds = json["numberOfBeds"];
    if (json["numberOfRooms"] is int) this.numberOfRooms = json["numberOfRooms"];
    if (json["priceByHours"] is double) this.priceByHours = json["priceByHours"];
    if (json["priceByNight"] is double) this.priceByNight = json["priceByNight"];
    if (json["priceByWeek"] is double) this.priceByWeek = json["priceByWeek"];
    if (json["priceByMonth"] is double) this.priceByMonth = json["priceByMonth"];
    if (json["phone"] is String) this.phone = json["phone"];
    if (json["label"] is String) this.label = json["label"];
    if (json["lat"] is int) this.lat = json["lat"];
    if (json["lng"] is int) this.lng = json["lng"];
    if (json["countryCode"] is String) this.countryCode = json["countryCode"];
    if (json["utcModifier"] is String) this.utcModifier = json["utcModifier"];
    if (json["street1"] is String) this.street1 = json["street1"];
    if (json["street2"] is String) this.street2 = json["street2"];
    if (json["state"] is String) this.state = json["state"];
    if (json["city"] is String) this.city = json["city"];
    if (json["country"] is String) this.country = json["country"];
    if (json["zip"] is String) this.zip = json["zip"];
    if (json["informations"] is String) this.informations = json["informations"];
    if (json["pictureUrl"] is String) this.pictureUrl = json["pictureUrl"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["id"] = this.id;
    data["name"] = this.name;
    data["proId"] = this.proId;
    data["placeId"] = this.placeId;
    data["description"] = this.description;
    data["currency"] = this.currency;
    data["minimumDaysRequired"] = this.minimumDaysRequired;
    data["minimumHoursRequired"] = this.minimumHoursRequired;
    data["numberOfBeds"] = this.numberOfBeds;
    data["numberOfRooms"] = this.numberOfRooms;
    data["priceByHours"] = this.priceByHours;
    data["priceByNight"] = this.priceByNight;
    data["priceByWeek"] = this.priceByWeek;
    data["priceByMonth"] = this.priceByMonth;
    data["phone"] = this.phone;
    data["label"] = this.label;
    data["lat"] = this.lat;
    data["lng"] = this.lng;
    data["countryCode"] = this.countryCode;
    data["utcModifier"] = this.utcModifier;
    data["street1"] = this.street1;
    data["street2"] = this.street2;
    data["state"] = this.state;
    data["city"] = this.city;
    data["country"] = this.country;
    data["zip"] = this.zip;
    data["informations"] = this.informations;
    data["pictureUrl"] = this.pictureUrl;
    return data;
  }
}
