class HomelidoBlogPost {
  int? id;
  dynamic title;
  dynamic excerpt;
  dynamic postUrl;
  dynamic pictureUrl;
  dynamic countryCode;
  dynamic languageCode;
  dynamic postedAt;

  HomelidoBlogPost(
      {this.id,
      this.title,
      this.excerpt,
      this.postUrl,
      this.pictureUrl,
      this.countryCode,
      this.languageCode,
      this.postedAt});

  HomelidoBlogPost.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    title = json["title"];
    excerpt = json["excerpt"];
    postUrl = json["postUrl"];
    pictureUrl = json["pictureUrl"];
    countryCode = json["countryCode"];
    languageCode = json["languageCode"];
    postedAt = json["postedAt"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["id"] = id;
    _data["title"] = title;
    _data["excerpt"] = excerpt;
    _data["postUrl"] = postUrl;
    _data["pictureUrl"] = pictureUrl;
    _data["countryCode"] = countryCode;
    _data["languageCode"] = languageCode;
    _data["postedAt"] = postedAt;
    return _data;
  }

  HomelidoBlogPost copyWith({
    int? id,
    dynamic title,
    dynamic excerpt,
    dynamic postUrl,
    dynamic pictureUrl,
    dynamic countryCode,
    dynamic languageCode,
    dynamic postedAt,
  }) =>
      HomelidoBlogPost(
        id: id ?? this.id,
        title: title ?? this.title,
        excerpt: excerpt ?? this.excerpt,
        postUrl: postUrl ?? this.postUrl,
        pictureUrl: pictureUrl ?? this.pictureUrl,
        countryCode: countryCode ?? this.countryCode,
        languageCode: languageCode ?? this.languageCode,
        postedAt: postedAt ?? this.postedAt,
      );
}
