import '../resources.dart';

class HistoryRepo {
  HistoryRepo._();

  static HistoryRepo? _instance;

  factory HistoryRepo([AppApi? api]) {
    if (_instance == null) _instance = HistoryRepo._();
    _instance!._api = api ?? AppApiImp();
    return _instance!;
  }

  late AppApi _api;

  Future<List<History>> getHistoryFromUser() async {
    NetworkResponse response = await _api.getHistoryFromUser();
    return response.data ?? [];
  }
}
