class DigicodeCheck {
  bool? status;
  String? message;
  int? digicodeId;
  String? deviceUuid;

  DigicodeCheck({
    this.status,
    this.message,
    this.digicodeId,
    this.deviceUuid,
  });

  DigicodeCheck.fromJson(Map<String, dynamic> json) {
    if (json["status"] is bool) this.status = json["status"];
    if (json["message"] is String) this.message = json["message"];
    if (json["digicodeId"] is int) this.digicodeId = json["digicodeId"];
    if (json["deviceUuid"] is String) this.deviceUuid = json["deviceUuid"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["status"] = this.status;
    data["message"] = this.message;
    data["digicodeId"] = this.digicodeId;
    data["deviceUuid"] = this.deviceUuid;
    return data;
  }
}
