
class UserQueue {
  late int userId;
  late String userUniqueId;
  late String ticketUniqueId;
  late String thumbnail;
  late int position;

  UserQueue(
      {  this.position = 1,
        this.thumbnail = '',
        this.ticketUniqueId = '',
        this.userId = 1,
        this.userUniqueId = ''});

  UserQueue.fromJson(Map<String, dynamic> json) {
    position = json['position'];
    thumbnail = json['thumbnail'];
    userId = json['userId'];
    userUniqueId = json['userUniqueId'];
    ticketUniqueId = json['ticketUniqueId'];
  }
}

class EventQueueModel {
  late List<UserQueue> users;

  EventQueueModel({required this.users});

  EventQueueModel.fromJson(Map<String, dynamic> json) {
    if (json['users'] != null) {
      users = json['users'].map<UserQueue>((e) => UserQueue.fromJson(e)).toList();
    } else {
      users = [];
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    return data;
  }
}
