class FaqItem {
  int? faqId;
  String? problemTypeLabel;
  int? order;
  int? numberOfClick;
  String? question;
  String? answer;

  FaqItem(
      {this.faqId,
      this.problemTypeLabel,
      this.order,
      this.numberOfClick,
      this.question,
      this.answer});

  FaqItem.fromJson(Map<String, dynamic> json) {
    if (json["faqId"] is int) {
      faqId = json["faqId"];
    }
    if (json["problemTypeLabel"] is String) {
      problemTypeLabel = json["problemTypeLabel"];
    }
    if (json["order"] is int) {
      order = json["order"];
    }
    if (json["numberOfClick"] is int) {
      numberOfClick = json["numberOfClick"];
    }
    if (json["question"] is String) {
      question = json["question"];
    }
    if (json["answer"] is String) {
      answer = json["answer"];
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["faqId"] = faqId;
    _data["problemTypeLabel"] = problemTypeLabel;
    _data["order"] = order;
    _data["numberOfClick"] = numberOfClick;
    _data["question"] = question;
    _data["answer"] = answer;
    return _data;
  }
}
