class PlatformStatusChat {
  int? id;
  String? label;
  String? colorCode;
  String? iconUrl;

  PlatformStatusChat({
    this.id,
    this.label,
    this.colorCode,
    this.iconUrl,
  });

  PlatformStatusChat.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) {
      id = json["id"];
    }
    if (json["label"] is String) {
      label = json["label"];
    }
    if (json["colorCode"] is String) {
      colorCode = json["colorCode"];
    }
    if (json["iconUrl"] is String) {
      iconUrl = json["iconUrl"];
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["id"] = id;
    _data["label"] = label;
    _data["colorCode"] = colorCode;
    _data["iconUrl"] = iconUrl;
    return _data;
  }
}
